ConduitInitiatorManagerImpl (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.bus.managers

## Class ConduitInitiatorManagerImpl

- java.lang.Object
- - org.apache.cxf.bus.managers.ConduitInitiatorManagerImpl

- All Implemented Interfaces:
    `ConduitInitiatorManager`

      public final class ConduitInitiatorManagerImpl
      extends Object
      implements ConduitInitiatorManager

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ConduitInitiatorManagerImpl()` |
    `ConduitInitiatorManagerImpl​(Bus b)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `deregisterConduitInitiator​(String namespace)` | Unregister a `ConduitInitiator`.
    `ConduitInitiator` | `getConduitInitiator​(String namespace)` | Returns the conduit initiator for the given namespace, constructing it (and storing in the cache for future reference) if necessary, using its list of factory classname to namespace mappings.
    `ConduitInitiator` | `getConduitInitiatorForUri​(String uri)` |
    `void` | `registerConduitInitiator​(String namespace, ConduitInitiator factory)` | Associates a name, often a URI, with a `ConduitInitiator` when registering with the `Bus`'s `TransportRegistry`.
    `void` | `setBus​(Bus b)` |
    `void` | `shutdown()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConduitInitiatorManagerImpl

          public ConduitInitiatorManagerImpl()

    - #### ConduitInitiatorManagerImpl

          public ConduitInitiatorManagerImpl​(Bus b)

  - ### Method Detail

    - #### setBus

          public void setBus​(Bus b)

    - #### registerConduitInitiator

          public void registerConduitInitiator​(String namespace,
                                               ConduitInitiator factory)

      Description copied from interface: `ConduitInitiatorManager`
      Associates a name, often a URI, with a `ConduitInitiator` when registering with the `Bus`'s `TransportRegistry`.
      Specified by:
        `registerConduitInitiator` in interface `ConduitInitiatorManager`
      Parameters:
        `namespace` - A string containing the name used to identify the `ConduitInitiator`
        `factory` - The `ConduitInitiator` to be registered.

    - #### deregisterConduitInitiator

          public void deregisterConduitInitiator​(String namespace)

      Description copied from interface: `ConduitInitiatorManager`
      Unregister a `ConduitInitiator`.
      Specified by:
        `deregisterConduitInitiator` in interface `ConduitInitiatorManager`
      Parameters:
        `namespace` - A string containing the name of the `ConduitInitiator`.

    - #### getConduitInitiator

          public ConduitInitiator getConduitInitiator​(String namespace)
                                               throws BusException

      Returns the conduit initiator for the given namespace, constructing it (and storing in the cache for future reference) if necessary, using its list of factory classname to namespace mappings.
      Specified by:
        `getConduitInitiator` in interface `ConduitInitiatorManager`
      Parameters:
        `namespace` - the namespace.
      Returns:
        the registered `ConduitInitiator`
      Throws:
        `BusException`

    - #### shutdown

          @PreDestroy
          public void shutdown()

    - #### getConduitInitiatorForUri

          public ConduitInitiator getConduitInitiatorForUri​(String uri)

      Specified by:
        `getConduitInitiatorForUri` in interface `ConduitInitiatorManager`